namespace CMSMicroservice.Application.ProductTagCQ.Queries.GetAllProductTagByFilter;
public class GetAllProductTagByFilterQueryValidator : AbstractValidator<GetAllProductTagByFilterQuery>
{
    public GetAllProductTagByFilterQueryValidator()
    {
    }
    public Func<object, string, Task<IEnumerable<string>>> ValidateValue => async (model, propertyName) =>
    {
        var result = await ValidateAsync(ValidationContext<GetAllProductTagByFilterQuery>.CreateWithOptions((GetAllProductTagByFilterQuery)model, x => x.IncludeProperties(propertyName)));
        if (result.IsValid)
            return Array.Empty<string>();
        return result.Errors.Select(e => e.ErrorMessage);
    };
}
